# rpmtransObject_s Struct Reference
[PYTHON., PYTHON.]

## Data Fields

| PyObject_HEAD
rpmdbObject * | dbo
rpmTransactionSet | ts
PyObject * | keyList
FD_t | scriptFd

## Field Documentation

rpmdbObject* rpmtransObject_s::dbo

| Definition at line 1314 of file rpmmodule.c. Referenced by rpmtransCreate(), rpmtransDealloc(), and rpmtransRemove().

PyObject* rpmtransObject_s::keyList

| Definition at line 1316 of file rpmmodule.c. Referenced by rpmtransAdd(), rpmtransCreate(), and rpmtransDealloc().

rpmtransObject_s::PyObject_HEAD

| Definition at line 1313 of file rpmmodule.c.

FD_t rpmtransObject_s::scriptFd

| Definition at line 1317 of file rpmmodule.c. Referenced by rpmtransCreate(), rpmtransDealloc(), and rpmtransSetAttr().

rpmTransactionSet rpmtransObject_s::ts

| Definition at line 1315 of file rpmmodule.c. Referenced by py_rpmtransGetKeys(), rpmtransAdd(), rpmtransCreate(), rpmtransDealloc(), rpmtransDepCheck(), rpmtransOrder(), rpmtransRemove(), rpmtransRun(), and rpmtransSetAttr().

The documentation for this struct was generated from the following file:

- python/rpmmodule.c